# The Yaf_Response_Abstract class

(Yaf >=1.0.0)

## Introduction

## Class synopsis

Yaf_Response_Abstract {
/* Constants */
const string DEFAULT_BODY = "content" ;
/* Properties */
protected $_header ;
protected $_body ;
protected $_sendheader ;
/* Methods */
public appendBody ( string `$content` [, string `$key` ] ) : bool
public clearBody ([ string `$key` ] ) : bool
public clearHeaders ( void ) : void
private __clone ( void ) : void
public __construct ( void )
public __destruct ( void ) : void
public getBody ([ string `$key` ] ) : mixed
public getHeader ( void ) : void
public prependBody ( string `$content` [, string `$key` ] ) : bool
public response ( void ) : void
protected setAllHeaders ( void ) : void
public setBody ( string `$content` [, string `$key` ] ) : bool
public setHeader ( string `$name` , string `$value` [, bool `$replace` ] ) : bool
public setRedirect ( void ) : void
private __toString ( void ) : string
}

## Properties

_header

_body

_sendheader

## Table of Contents

- Yaf_Response_Abstract::appendBody — Append to response body
- Yaf_Response_Abstract::clearBody — Discard all exists response body
- Yaf_Response_Abstract::clearHeaders — Discard all set headers
- Yaf_Response_Abstract::__clone — The __clone purpose
- Yaf_Response_Abstract::__construct — The __construct purpose
- Yaf_Response_Abstract::__destruct — The __destruct purpose
- Yaf_Response_Abstract::getBody — Retrieve a exists content
- Yaf_Response_Abstract::getHeader — The getHeader purpose
- Yaf_Response_Abstract::prependBody — The prependBody purpose
- Yaf_Response_Abstract::response — Send response
- Yaf_Response_Abstract::setAllHeaders — The setAllHeaders purpose
- Yaf_Response_Abstract::setBody — Set content to response
- Yaf_Response_Abstract::setHeader — Set reponse header
- Yaf_Response_Abstract::setRedirect — The setRedirect purpose
- Yaf_Response_Abstract::__toString — Retrieve all bodys as string